## r-cran-animation 2.5%2Bdfsg

=== debian/changelog ===
r-cran-animation (2.5+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #891121)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 14:46:55 +0100

## r-cran-animation 2.5+dfsg

=== DESCRIPTION ===
Package: animation
Type: Package
Title: A Gallery of Animations in Statistics and Utilities to Create
        Animations
Version: 2.5
Date: 2017-03-30
Authors@R: c(
    person("Yihui","Xie", role=c("aut", "cre"), email="xie@yihui.name"),
    person("Christian", "Mueller",role="ctb"),
    person("Lijia", "Yu", role=c("ctb"), email="yulj2010@gmail.com"),
    person("Weicheng","Zhu",role="ctb")
    )
Description: Provides functions for animations in statistics, covering topics
    in probability theory, mathematical statistics, multivariate statistics,
    non-parametric statistics, sampling survey, linear models, time series,
    computational statistics, data mining and machine learning. These functions
    may be helpful in teaching statistics and data analysis. Also provided in
    this package are a series of functions to save animations to various formats,
    e.g. Flash, 'GIF', HTML pages, 'PDF' and videos. 'PDF' animations can be
    inserted into 'Sweave' / 'knitr' easily.
SystemRequirements: ImageMagick (http://imagemagick.org) or
        GraphicsMagick (http://www.graphicsmagick.org) or LyX
        (http://www.lyx.org) for saveGIF(); (PDF)LaTeX for saveLatex();
        SWF Tools (http://swftools.org) for saveSWF(); FFmpeg
        (http://ffmpeg.org) or avconv (https://libav.org/avconv.html)
        for saveVideo()
Depends: R (>= 2.14.0)
Suggests: MASS, class, testit
License: GPL
URL: https://yihui.name/animation
BugReports: https://github.com/yihui/animation/issues
LazyData: yes
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-03-30 13:58:26 UTC; yihui
Author: Yihui Xie [aut, cre],
  Christian Mueller [ctb],
  Lijia Yu [ctb],
  Weicheng Zhu [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2017-03-30 16:19:33 UTC

=== debian/changelog ===
r-cran-animation (2.5+dfsg-3build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:24:39 +0000

r-cran-animation (2.5+dfsg-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 09:08:55 +0200

r-cran-animation (2.5+dfsg-2) unstable; urgency=medium

  * Add missing copyright
    Closes: #891157

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2018 15:16:00 +0100

=== debian/control ===
Source: r-cran-animation
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-animation
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-animation.git
Homepage: https://cran.r-project.org/package=animation

Package: r-cran-animation
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-highlight.js
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R gallery of animations and utilities to create animations
 Provides functions for animations in statistics, covering topics
 in probability theory, mathematical statistics, multivariate statistics,
 non-parametric statistics, sampling survey, linear models, time series,
 computational statistics, data mining and machine learning. These functions
 may be helpful in teaching statistics and data analysis. Also provided in
 this package are a series of functions to save animations to various formats,
 e.g. Flash, 'GIF', HTML pages, 'PDF' and videos. 'PDF' animations can be
 inserted into 'Sweave' / 'knitr' easily.

## r-cran-animation 2.6+dfsg

=== DESCRIPTION ===
Package: animation
Type: Package
Title: A Gallery of Animations in Statistics and Utilities to Create
        Animations
Version: 2.6
Authors@R: c(
    person("Yihui","Xie", role=c("aut", "cre"), email="xie@yihui.name"),
    person("Christian", "Mueller",role="ctb"),
    person("Lijia", "Yu", role=c("ctb"), email="yulj2010@gmail.com"),
    person("Weicheng","Zhu",role="ctb")
    )
Description: Provides functions for animations in statistics, covering topics
    in probability theory, mathematical statistics, multivariate statistics,
    non-parametric statistics, sampling survey, linear models, time series,
    computational statistics, data mining and machine learning. These functions
    may be helpful in teaching statistics and data analysis. Also provided in this
    package are a series of functions to save animations to various formats, e.g.
    Flash, 'GIF', HTML pages, 'PDF' and videos. 'PDF' animations can be inserted
    into 'Sweave' / 'knitr' easily.
SystemRequirements: ImageMagick (http://imagemagick.org) or
        GraphicsMagick (http://www.graphicsmagick.org) or LyX
        (http://www.lyx.org) for saveGIF(); (PDF)LaTeX for saveLatex();
        SWF Tools (http://swftools.org) for saveSWF(); FFmpeg
        (http://ffmpeg.org) or avconv (https://libav.org/avconv.html)
        for saveVideo()
Depends: R (>= 2.14.0)
Imports: magick
Suggests: MASS, class, testit
License: GPL
URL: https://yihui.name/animation
BugReports: https://github.com/yihui/animation/issues
LazyData: yes
Encoding: UTF-8
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2018-12-10 23:26:07 UTC; yihui
Author: Yihui Xie [aut, cre],
  Christian Mueller [ctb],
  Lijia Yu [ctb],
  Weicheng Zhu [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2018-12-11 09:20:18 UTC

=== debian/changelog ===
r-cran-animation (2.6+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:23:59 +0200

r-cran-animation (2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * dh-update-R to update Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Tue, 15 Jan 2019 19:56:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-base-dev
-Standards-Version: 4.1.4
+               r-base-dev,
+               r-cran-magick
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-animation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-animation.git
 Homepage: https://cran.r-project.org/package=animation
+Rules-Requires-Root: no
 
 Package: r-cran-animation
 Architecture: all

## r-cran-animation 2.7%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: A Gallery of Animations in Statistics and Utilities to Create
         Animations
-Version: 2.6
+Version: 2.7
 Authors@R: c(
     person("Yihui","Xie", role=c("aut", "cre"), email="xie@yihui.name"),
     person("Christian", "Mueller",role="ctb"),
@@ -27,17 +27,17 @@
 Imports: magick
 Suggests: MASS, class, testit
 License: GPL
-URL: https://yihui.name/animation
+URL: https://yihui.org/animation/
 BugReports: https://github.com/yihui/animation/issues
 LazyData: yes
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2018-12-10 23:26:07 UTC; yihui
+Packaged: 2021-10-06 16:17:28 UTC; yihui
 Author: Yihui Xie [aut, cre],
   Christian Mueller [ctb],
   Lijia Yu [ctb],
   Weicheng Zhu [ctb]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2018-12-11 09:20:18 UTC
+Date/Publication: 2021-10-07 07:40:28 UTC

## r-cran-animation 2.7+dfsg

=== debian/changelog ===
r-cran-animation (2.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 19:02:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-magick
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-animation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-animation.git
 Homepage: https://cran.r-project.org/package=animation

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/animation_([-\d.]*)\.tar\.gz

## r-cran-animation 2.8+dfsg

=== debian/changelog ===
r-cran-animation (2.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 13:47:22 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-magick
-Standards-Version: 4.6.0
+               r-cran-magick,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-animation
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-animation.git
 Homepage: https://cran.r-project.org/package=animation

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mass,
        r-cran-class,
        r-cran-cairo,
        r-cran-fimport,
        r-cran-rgl,
        r-cran-zoo,
        r-cran-testit
Restrictions: allow-stderr
